From: "Arthur Zamarin" <arthurzam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/patiencediff/
Date: Tue, 29 Nov 2022 20:18:22 +0000 (UTC) [thread overview]
Message-ID: <1669753097.852a15a4be1c642bce6da6cdc7a7a3d561ca6e3d.arthurzam@gentoo> (raw)
commit: 852a15a4be1c642bce6da6cdc7a7a3d561ca6e3d
Author: Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
AuthorDate: Tue Nov 29 20:06:22 2022 +0000
Commit: Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Tue Nov 29 20:18:17 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=852a15a4
dev-python/patiencediff: add 0.2.9
Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>
dev-python/patiencediff/Manifest | 1 +
dev-python/patiencediff/patiencediff-0.2.9.ebuild | 27 +++++++++++++++++++++++
2 files changed, 28 insertions(+)
diff --git a/dev-python/patiencediff/Manifest b/dev-python/patiencediff/Manifest
index 0f2090a1de30..86e9a2e96812 100644
--- a/dev-python/patiencediff/Manifest
+++ b/dev-python/patiencediff/Manifest
@@ -1,2 +1,3 @@
DIST patiencediff-0.2.7.tar.gz 26831 BLAKE2B 297af6a465ef3fc060a00df9882f85fbf9f807c6d6e8fbfa1d531ed16a60d86f3081d9c0c9698bf3b6d02ba45fbb1d58fead6430f73c04b4439076d0a05a8864 SHA512 8711d28ddc67cdebab5677c1120b1c7270b7509083b797371abcecd61ba71555a1c79c580a5615fe30e1e3bd088b2f4c28a68aa761a61ce55b93690ceb38d8c3
DIST patiencediff-0.2.8.tar.gz 28976 BLAKE2B 6e525875b7b1adac76101888c4ddb5022373bd4a9784e17e23acec6c9fe38ddd23f8be7baeac36b8b6cb79f048b97a74851207238c2c5e72fc0b686d86525e19 SHA512 e867bee63af1dc6326b9069ef89e6c3613e379b33cd10948cbc37647f279f7d951951baa23324ddcfaf65869500b8f7a345b10982fa5d2af0a5e6e8006a4f1fd
+DIST patiencediff-0.2.9.tar.gz 26869 BLAKE2B dc3afe857f2729fecd332e9c8553c118e32478d7ceaa874017b01a541c2934dab7087ef41935b0d213900cde199999cc2999c7d132a118a4b2bfad6ce684ece7 SHA512 87c495b54b464cabe1bb6366edfec981115cf86d451f272a0c609250d5a6295a67b083e19abd09e42d27e6124eb96c2e5922f68b91990f3ce97eff9b3cf50b27
diff --git a/dev-python/patiencediff/patiencediff-0.2.9.ebuild b/dev-python/patiencediff/patiencediff-0.2.9.ebuild
new file mode 100644
index 000000000000..0fed7fa1f361
--- /dev/null
+++ b/dev-python/patiencediff/patiencediff-0.2.9.ebuild
@@ -0,0 +1,27 @@
+# Copyright 2021-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..11} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Python implementation of the patiencediff algorithm"
+HOMEPAGE="
+ https://github.com/breezy-team/patiencediff/
+ https://pypi.org/project/patiencediff/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+distutils_enable_tests unittest
+
+python_test() {
+ cd "${BUILD_DIR}/install$(python_get_sitedir)" || die
+ eunittest
+}
next reply other threads:[~2022-11-29 20:18 UTC|newest]
Thread overview: 21+ messages / expand[flat|nested] mbox.gz Atom feed top
2022-11-29 20:18 Arthur Zamarin [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-02-27 21:01 [gentoo-commits] repo/gentoo:master commit in: dev-python/patiencediff/ Michał Górny
2024-06-15 12:43 Petr Vaněk
2024-06-15 12:43 Petr Vaněk
2024-05-06 15:29 Michał Górny
2023-12-30 18:30 Michał Górny
2023-09-17 13:35 Michał Górny
2023-06-06 17:39 Arthur Zamarin
2023-05-04 16:22 Michał Górny
2023-04-29 9:38 Arthur Zamarin
2023-02-08 6:27 Michał Górny
2022-12-16 11:32 Michał Górny
2022-12-16 11:32 Michał Górny
2022-12-10 6:37 Michał Górny
2022-12-06 6:02 Michał Górny
2022-11-21 13:24 Michał Górny
2022-10-26 18:42 Arthur Zamarin
2022-10-19 3:49 Michał Górny
2022-09-26 21:19 Sam James
2022-07-26 6:43 Michał Górny
2021-09-25 7:01 Arthur Zamarin
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1669753097.852a15a4be1c642bce6da6cdc7a7a3d561ca6e3d.arthurzam@gentoo \
--to=arthurzam@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox